/*
 * generated by Xtext 2.32.0
 */
package no.ntnu.tdt4250.sm.textual.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import no.ntnu.tdt4250.sm.textual.StateMachineDSLRuntimeModule;
import no.ntnu.tdt4250.sm.textual.StateMachineDSLStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class StateMachineDSLIdeSetup extends StateMachineDSLStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new StateMachineDSLRuntimeModule(), new StateMachineDSLIdeModule()));
	}
	
}
